org.apache.ode.daohib

## Class NativeHiLoGenerator

- java.lang.Object
- - org.apache.ode.daohib.NativeHiLoGenerator

- All Implemented Interfaces:
    org.hibernate.id.Configurable, org.hibernate.id.IdentifierGenerator, org.hibernate.id.PersistentIdentifierGenerator

      public class NativeHiLoGenerator
      extends java.lang.Object
      implements org.hibernate.id.IdentifierGenerator, org.hibernate.id.PersistentIdentifierGenerator, org.hibernate.id.Configurable

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.id.PersistentIdentifierGenerator

      `CATALOG, PK, SCHEMA, SQL, TABLE, TABLES`

    - ### Fields inherited from interface org.hibernate.id.IdentifierGenerator

      `ENTITY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeHiLoGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.hibernate.type.Type type, java.util.Properties params, org.hibernate.dialect.Dialect dialect)`
    `java.io.Serializable` | `generate(org.hibernate.engine.SessionImplementor session, java.lang.Object object)`
    `java.lang.Object` | `generatorKey()`
    `java.lang.String[]` | `sqlCreateStrings(org.hibernate.dialect.Dialect dialect)`
    `java.lang.String[]` | `sqlDropStrings(org.hibernate.dialect.Dialect dialect)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeHiLoGenerator

          public NativeHiLoGenerator()

  - ### Method Detail

    - #### generate

          public java.io.Serializable generate(org.hibernate.engine.SessionImplementor session,
                                      java.lang.Object object)
                                        throws org.hibernate.HibernateException

      Specified by:
        `generate` in interface `org.hibernate.id.IdentifierGenerator`
      Throws:
        `org.hibernate.HibernateException`

    - #### generatorKey

          public java.lang.Object generatorKey()

      Specified by:
        `generatorKey` in interface `org.hibernate.id.PersistentIdentifierGenerator`

    - #### sqlCreateStrings

          public java.lang.String[] sqlCreateStrings(org.hibernate.dialect.Dialect dialect)
                                              throws org.hibernate.HibernateException

      Specified by:
        `sqlCreateStrings` in interface `org.hibernate.id.PersistentIdentifierGenerator`
      Throws:
        `org.hibernate.HibernateException`

    - #### sqlDropStrings

          public java.lang.String[] sqlDropStrings(org.hibernate.dialect.Dialect dialect)
                                            throws org.hibernate.HibernateException

      Specified by:
        `sqlDropStrings` in interface `org.hibernate.id.PersistentIdentifierGenerator`
      Throws:
        `org.hibernate.HibernateException`

    - #### configure

          public void configure(org.hibernate.type.Type type,
                       java.util.Properties params,
                       org.hibernate.dialect.Dialect dialect)
                         throws org.hibernate.MappingException

      Specified by:
        `configure` in interface `org.hibernate.id.Configurable`
      Throws:
        `org.hibernate.MappingException`